import java.awt.*;

//Die Klasse DREIECK
class DREIECK{
    
    //Attribute 
    int hoehe;
    int laenge;
    int xPosition;
    int yPosition;
    String fuellfarbe;
    boolean istSichtbar;

    //Konstruktor
    DREIECK(){
        hoehe = 40;
        laenge = 70;
        xPosition = 50;
        yPosition = 15;
        fuellfarbe = "green";
        istSichtbar = false;
    }
    
    //Weitere Methoden
    void sichtbarMachen(){
        istSichtbar = true;
        zeichnen();
    }
    
 
    void unsichtbarMachen(){
        loeschen();
        istSichtbar = false;
    }
    
    void bewegeHorizontal(int strecke){
        xPosition = xPosition + strecke;
        zeichnen();
    }


    void groesseSetzen(int neueHoehe, int neueLaenge){
        hoehe = neueHoehe;
        laenge = neueLaenge;
        zeichnen();
    }
    
    //ndert die Farbe. Erlaubt sind "red", "yellow", "blue", "green", "magenta" und "black".
    void fuellfarbeSetzen(String neueFarbe){
        fuellfarbe = neueFarbe;
        zeichnen();
    }


    //Zeichnet das Dreieck auf die Leinwand (Canvas)
    private void zeichnen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            int[] xpoints = { xPosition, xPosition + (laenge/2), xPosition - (laenge/2) };
            int[] ypoints = { yPosition, yPosition + hoehe, yPosition + hoehe };
            canvas.draw(this, fuellfarbe, new Polygon(xpoints, ypoints, 3));
            canvas.wait(10);
        }
    }

    //Entfernt das Dreieick von der Leinwand (Canvas)
    private void loeschen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.erase(this);
        }
    }
} //Ende der Klasse DREIECK
