import java.awt.*;

// Definition der Klasse RECHTECK
class RECHTECK {
    
    //Attribute
    int breite;
    int hoehe;
    int xPosition;
    int yPosition;
    String fuellfarbe;
    boolean istSichtbar;
    
    //Konstruktor
    RECHTECK() {
        breite=70;
        hoehe=40;
        xPosition = 60;
        yPosition = 50;
        fuellfarbe = "red";
        istSichtbar = false;
    }

    //Weitere Methoden
    void sichtbarMachen(){
        istSichtbar = true;
        zeichnen();
    }
    
    int flaecheBerechnen(){
        return breite * hoehe;
    }
    
    void unsichtbarMachen(){
        loeschen();
        istSichtbar = false;
    }
    
    void breiteSetzen(int neueBreite){
        breite = neueBreite;
        zeichnen();
    }

    //Zeichnet das Rechteck auf die Leinwand (falls sichtbar)
    private void zeichnen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.draw(this, fuellfarbe,
                        new Rectangle(xPosition, yPosition, breite, hoehe));
            canvas.wait(10);
        }
    }
 
    //Lscht das Rechteck von der Leinwand
    private void loeschen(){
        if(istSichtbar) {
            Canvas canvas = Canvas.getCanvas();
            canvas.erase(this);
        }
    }
}       
//Ende der Klasse RECHTECK
